Subject: [Sip] Notes from conference call on identity

From: "Elwell, John" <[email-masked]>
Date: Tue, 16 Dec 2008 17:07:35 +0000

2008-12-16, 15.30-16.45 GMT

Chair: Keith Drage.

Participants: Adam Uzelac, Hannes Tschofenig, Kai Fischer, Dan York,
Jonathan Rosenberg, Hadriel Kaplan, Victor Pascual Avila.

Background:
See attached emails from Keith.

Topics to discuss:
- Can we get the problem we are trying to solve into a single I-D?
- Is there any consolidation or elimination with current drafts that we
can usefully do at present?

Discussion:
Need to convince the ADs of what the problem is.

How do we convey a more secure version of caller ID given the problem of
middleboxes?

Hannes: The world uses PAI today and people are happy, that is the
present business model. So this isn't a problem that needs solving right
now.

Other opinions: On the other hand we don't have interconnect yet, and
when we do we will need stronger mechanisms. So a chicken and egg
situation.

Question of what relates to identity, e.g., media.

Hannes: Need to capture economic and commercial side-effects, not just
technical issues.

Adam: Carriers are largely used just for PSTN access today, but as
carrier use extends, and as enterprises start wanting the caller ID
delivered e2e, then the problem will start to hit carriers.

Hadriel: This is a problem that I would like to fix before it arises and
hits the press. Also the solution will take a long time to standardise
and then to deploy.

Dan: We need a plan, and need to work on a solution, else it will
seriously impact the deployment of SIP.

Chair: Which of the present drafts would be the best starting point for
capturing problem statement?

Agreed to take the e2e-identity-important draft from John as the
starting point. Should be more emphasis on the fact that certain actions
of middleboxes are legitimate and the solutions needs to work still in
these environments. Should ensure all problem statement aspects are
captured (including those from the various other drafts), but leaving
out those aspects that are better left in the other drafts. Focus only
on the problem and strip out any solution stuff. Use the problem
statement to identify requirements, which for now can perhaps be left as
an appendix. Dan and Adam will help John to develop this draft.
Concerning Hannes' concern, the identified requirements should say what
is urgent and what is not urgent to fix.

Victor: Unclear at present whether this is a single problem with a
single set of requirements, or perhaps two problems (one of which is
addressed by DERIVE). Agreed DERIVE supporters should contribute into
the problem statement / requirements work.

There as no opinion on whether anything from the SAML draft needs to go
into the discussion.

The dates proposed by Keith for further calls (13th January, 27th
January, 17th February) at 15.30 GMT were confirmed. Duration will be 1
hour.

Thoughts on what should/should not be in the next revision of
e2e-identity-important should be sent to John, Adam, Dan and others by
6th January, so that a proposed plan for the next revision can be
brought to the call on 13th January.

For ongoing email communication, use the list of invitees for
communication within the design team, but anything of wider impact use
the SIP list.

John

Subject: Conference calls on identity issues
From: "DRAGE, Keith (Keith)" <[email-masked]>
To: "Hadriel Kaplan" <[email-masked]>, "Dan Wing" <[email-masked]>, "Eric Rescorla" <[email-masked]>, "Klaus Darilion" <[email-masked]>, "Dan York" <[email-masked]>, "Elwell, John" <[email-masked]>, "Cullen Jennings" <[email-masked]>, "Fischer, Kai" <[email-masked]>, "Jonathan Rosenberg" <[email-masked]>, <[email-masked]>, <[email-masked]>, "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>, <[email-masked]>, "Francois Audet" <[email-masked]>, <[email-masked]>, <[email-masked]>, <
Date: Fri, 12 Dec 2008 18:18:44 -0000

I plan to have a sequence of conference calls on identity issues before the next IETF meeting to see if we can come up with something that might result in a real conclusion in the next IETF meeting. Treat this as an informal design team.

If you think someone is missing from the to list above, send me a message with a name and an email address, and I will invite. This is basically the authors of all the drafts we have had on identity related subjects plus others.

Currently I think we need to do two things:

-	Get to the bottom of the problem that we are trying to solve. Looking for a single internet draft on this. Who will author.

-	Consolidate or eliminate (where appropriate) the various solution drafts. Request updates based on various comments made. Identify where they meet the problem statement.

Please send me a mail if you intend to participate in the 1st call. As it is short notice, I will have to cancel if key people do not participate, but I would like to get something going before Christmas and the proposed slot would appear to be the only slot before we are into Christmas.

I would like someone to volunteer to take notes.

Call 1:

Date:	Tuesday 16th December
Time:	7:30 am Pacific US
	9:30 am Central US
	10:30 am Eastern US
	15:30 pm UK
	16:30 pm Central Europe
Bridge details:
United States: 1 8007718734 (toll free)
International: +1 917 210 2620 
For toll free numbers from other countries, send me an email - in general these have all recently changed for my bridge so do not rely on previous information.
Code: 5776249

Call 2 (proposed): 

Date: Tuesday 13th January

Call 3 (proposed):

Date: Tuesday 27th January

Call 4 (proposed): 

Date: Tuesday 17th February

regards

Keith

Subject: RE: Conference calls on identity issues
From: "DRAGE, Keith (Keith)" <[email-masked]>
To: "DRAGE, Keith (Keith)" <[email-masked]>, "Hadriel Kaplan" <[email-masked]>, "Dan Wing" <[email-masked]>, "Eric Rescorla" <[email-masked]>, "Klaus Darilion" <[email-masked]>, "Dan York" <[email-masked]>, "Elwell, John" <[email-masked]>, "Cullen Jennings" <[email-masked]>, "Fischer, Kai" <[email-masked]>, "Jonathan Rosenberg" <[email-masked]>, <[email-masked]>, <[email-masked]>, "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>, <[email-masked]>, "Francois Audet" <[email-masked]>, <
Date: Tue, 16 Dec 2008 12:48:07 -0000

I plan to go ahead with the first call, but there are apparently going to be some significant voices missing.

I therefore intend to keep it short and as an exchange of views on which drafts (if any) people should do some work on over Christmas.

Cullen continues to say that we have not yet got tot he root of the issue by identifying what problem we need to fix, and therefore any draft people propose to progress needs the material in this area beefing up.

Current active drafts are (not sure I have caught them all - please add):

http://tools.ietf.org/id/draft-kaplan-sip-asserter-identity-00.txt
http://tools.ietf.org/id/draft-kaplan-sip-session-id-01.txt
http://tools.ietf.org/id/draft-elwell-sip-e164-problem-statement-01.txt
http://tools.ietf.org/id/draft-elwell-sip-e2e-identity-important-01.txt
http://tools.ietf.org/id/draft-elwell-sip-identity-handling-ua-00.txt
http://tools.ietf.org/id/draft-kuthan-sip-derive-00.txt

I have not included the saml documents.

Maybe we could also take a look at Jon Peterson's slides and identify any impact of these comments:

http://www.ietf.org/proceedings/08nov/slides/sip-6.pdf

regards

Keith 

> -----Original Message-----
> From: DRAGE, Keith (Keith) 
> Sent: Friday, December 12, 2008 6:19 PM
> To: Hadriel Kaplan; Dan Wing; 'Eric Rescorla'; 'Klaus 
> Darilion'; 'Dan York'; 'Elwell, John'; 'Cullen Jennings'; 
> 'Fischer, Kai'; 'Jonathan Rosenberg'; [email-masked]; 
> [email-masked]; 'Tschofenig, Hannes (NSN - 
> FI/Espoo)'; [email-masked]; 'Francois Audet'; 
> [email-masked]; [email-masked]; 
> [email-masked]; Jiri Kuthan; 'Victor Pascual ?vila'; 
> 'Uzelac,Adam'
> Subject: Conference calls on identity issues
> 
> I plan to have a sequence of conference calls on identity 
> issues before the next IETF meeting to see if we can come up 
> with something that might result in a real conclusion in the 
> next IETF meeting. Treat this as an informal design team.
> 
> If you think someone is missing from the to list above, send 
> me a message with a name and an email address, and I will 
> invite. This is basically the authors of all the drafts we 
> have had on identity related subjects plus others.
> 
> Currently I think we need to do two things:
> 
> -	Get to the bottom of the problem that we are trying to 
> solve. Looking for a single internet draft on this. Who will author.
> 
> -	Consolidate or eliminate (where appropriate) the 
> various solution drafts. Request updates based on various 
> comments made. Identify where they meet the problem statement.
> 
> Please send me a mail if you intend to participate in the 1st 
> call. As it is short notice, I will have to cancel if key 
> people do not participate, but I would like to get something 
> going before Christmas and the proposed slot would appear to 
> be the only slot before we are into Christmas.
> 
> I would like someone to volunteer to take notes.
> 
> Call 1:
> 
> Date:	Tuesday 16th December
> Time:	7:30 am Pacific US
> 	9:30 am Central US
> 	10:30 am Eastern US
> 	15:30 pm UK
> 	16:30 pm Central Europe
> Bridge details:
> United States: 1 8007718734 (toll free)
> International: +1 917 210 2620
> For toll free numbers from other countries, send me an email 
> - in general these have all recently changed for my bridge so 
> do not rely on previous information.
> Code: 5776249
>  
> 
> Call 2 (proposed): 
> 
> Date: Tuesday 13th January
> 
> Call 3 (proposed):
> 
> Date: Tuesday 27th January
> 
> Call 4 (proposed): 
> 
> Date: Tuesday 17th February
> 
> regards
> 
> Keith
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip